function [pl,nl] = BestLine(ps)
    avg = mean(ps, 2);
    v = bsxfun(@minus, ps, avg);
    x = v(1,:);
    y = v(2,:);
    z = v(3,:);
    M = [sum(z.^2+y.^2) -sum(x.*y) -sum(x.*z);...
        -sum(x.*y) sum(x.^2+z.^2) -sum(y.*z);...
        -sum(x.*z) -sum(y.*z) sum(x.^2+y.^2)];
    [V,~] = eig(-M);
    pl = avg;
    nl = V(:,3);
end