function [pl,nl] = BestLineRANSAC(ps)
    Thr = 1;
    N = length(ps);
    bestinliers = 0;
    for i = 1:100
        id = randperm(N,6);
        p_s = ps(:,id);
        [pl,nl] = BestLine(p_s);
        d = (ps-pl) - repmat(((ps-pl)'*nl)',3,1).*nl;
        inliers = sqrt(sum(d.^2)) < Thr;
        if sum(inliers) > sum(bestinliers)
            bestinliers = inliers;
        end
    end
    if bestinliers==0
        bestinliers = 1:N;
    end
    [pl,nl] = BestLine(ps(:,bestinliers));
end