% Skew = @(x) [0 -x(3) x(2);x(3) 0 -x(1);-x(2) x(1) 0];
n = length(uc);
D = diag([1 1 1 0 0 0]);
J = zeros(n,6);
thr = .01;
% tic
ni = zeros(100,1);
idh = zeros(100,6);
for itr = 1:20
    % Pottmann et al.s method
    ids = randperm(n,6);
    for i = 1:n
        J(i,:) = [cross(uc(:,i),pc(:,i))' uc(:,i)'];
    end
    J6 = J(ids,:);
    M = J6'*J6;
    [z,Dd] = eig(M,D);
    [~,i] = min(diag(Dd));
    idh(itr,:) = ids;
    ni(itr) = sum((J*z(:,i)) < thr);
    a = z(1:6,i)/norm(z(1:3,i));
    u = -cross(a(1:3),a(4:6));
    pl = u;
    nl = a(1:3);
    f = dlines([pl;nl],pc,uc);
%     disp([ni(itr) sum(f<.1)])
    ni(itr) = sum(f<.1);
end
[~,idmax] = max(ni);
ids = idh(idmax,:);
% MLESAC
for i = 1:n
    J(i,:) = [cross(uc(:,i),pc(:,i))' uc(:,i)'];
end
J6 = J(ids,:);
M = J6'*J6;
[z,Dd] = eig(M,D);
[~,i] = min(diag(Dd));
W = (J*z(:,i));
J = diag(1./W)*J;
M = J'*J;
[z,Dd] = eig(M,D);
[~,i] = min(diag(Dd));
a = z(1:6,i)/norm(z(1:3,i));
u = -cross(a(1:3),a(4:6));
pl = u;
nl = a(1:3);
% toc

l = 15;
lines = plot3([pl(1,:)-nl(1,:)*l;pl(1,:)+nl(1,:)*l],[pl(2,:)-nl(2,:)*l;pl(2,:)+nl(2,:)*l],[pl(3,:)-nl(3,:)*l;pl(3,:)+nl(3,:)*l],'--','color',[1 .5 0]);

% tic
% Jv = J(:,1:3);
% Jw = J(:,4:6);
% JJ = Jv'*Jv-Jv'*Jw*((Jw'*Jw)\(Jw'*Jv));
% [V2,D2] = eig(JJ);
% toc
