function cost = f_PotSAC(inp,pc,uc)
pl = inp(1:3);
phi = inp(4);
th = inp(5);
nl = [cos(th)*cos(phi);cos(th)*sin(phi);sin(th)];
n = length(uc);
t = 100;
cost = 0;
for i = 1:n
    c = pc(:,i) - norm(cross((pc(:,i)-pl),nl))/norm(cross(nl,uc(:,i)))*uc(:,i);
    ep = norm(cross(c - pl, nl))^2;
    c = pc(:,i) + norm(cross((pc(:,i)-pl),nl))/norm(cross(nl,uc(:,i)))*uc(:,i);
    en = norm(cross(c - pl, nl))^2;
    f = -1/t*log(exp(-t*ep)+exp(-t*en));
    if abs(f)>1e10
        f = max(ep,en);
    end
    cost = cost + f;
end
